Generation Framework

## org.eclipse.gmf.mappings
Interface FeatureValueSpec

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FeatureInitializer, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FeatureValueSpecImpl

    public interface FeatureValueSpec

extends FeatureInitializer

A representation of the model object 'Feature Value Spec'. Value specification associated with a specific feature

The following features are supported:

- `Value`

See Also:
  `GMFMapPackage.getFeatureValueSpec()`
** Generated **
Model:

Method Summary
`ValueExpression` `getValue()` Returns the value of the 'Value' containment reference
`void` `setValue(ValueExpression value)` Sets the value of the '`Value`' containment reference

Methods inherited from interface org.eclipse.gmf.mappings.FeatureInitializer
`getFeature, getFeatureSeqInitializer, setFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    ValueExpression getValue()

  Returns the value of the 'Value' containment reference.

  If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(ValueExpression)`, `GMFMapPackage.getFeatureValueSpec_Value()`
  ** Generated **
  Model:
    containment="true" required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='featureSeqInitializer.elementClass'" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='type' ocl='feature'"

### setValue

    void setValue(ValueExpression value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.